
package org.ow2.weblab.core.services.analyser;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ow2.weblab.core.services.analyser package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ProcessReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/analyser", "processReturn");
    private final static QName _ProcessArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/analyser", "processArgs");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ow2.weblab.core.services.analyser
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProcessArgs }
     * 
     */
    public ProcessArgs createProcessArgs() {
        return new ProcessArgs();
    }

    /**
     * Create an instance of {@link ProcessReturn }
     * 
     */
    public ProcessReturn createProcessReturn() {
        return new ProcessReturn();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/analyser", name = "processReturn")
    public JAXBElement<ProcessReturn> createProcessReturn(ProcessReturn value) {
        return new JAXBElement<ProcessReturn>(_ProcessReturn_QNAME, ProcessReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/analyser", name = "processArgs")
    public JAXBElement<ProcessArgs> createProcessArgs(ProcessArgs value) {
        return new JAXBElement<ProcessArgs>(_ProcessArgs_QNAME, ProcessArgs.class, null, value);
    }

}
