
package org.ow2.weblab.core.services.configurable;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ow2.weblab.core.services.configurable package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ConfigureArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/configurable", "configureArgs");
    private final static QName _ResetConfigurationReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/configurable", "resetConfigurationReturn");
    private final static QName _ConfigureReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/configurable", "configureReturn");
    private final static QName _ResetConfigurationArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/configurable", "resetConfigurationArgs");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ow2.weblab.core.services.configurable
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ResetConfigurationArgs }
     * 
     */
    public ResetConfigurationArgs createResetConfigurationArgs() {
        return new ResetConfigurationArgs();
    }

    /**
     * Create an instance of {@link ConfigureReturn }
     * 
     */
    public ConfigureReturn createConfigureReturn() {
        return new ConfigureReturn();
    }

    /**
     * Create an instance of {@link ResetConfigurationReturn }
     * 
     */
    public ResetConfigurationReturn createResetConfigurationReturn() {
        return new ResetConfigurationReturn();
    }

    /**
     * Create an instance of {@link ConfigureArgs }
     * 
     */
    public ConfigureArgs createConfigureArgs() {
        return new ConfigureArgs();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConfigureArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/configurable", name = "configureArgs")
    public JAXBElement<ConfigureArgs> createConfigureArgs(ConfigureArgs value) {
        return new JAXBElement<ConfigureArgs>(_ConfigureArgs_QNAME, ConfigureArgs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResetConfigurationReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/configurable", name = "resetConfigurationReturn")
    public JAXBElement<ResetConfigurationReturn> createResetConfigurationReturn(ResetConfigurationReturn value) {
        return new JAXBElement<ResetConfigurationReturn>(_ResetConfigurationReturn_QNAME, ResetConfigurationReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConfigureReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/configurable", name = "configureReturn")
    public JAXBElement<ConfigureReturn> createConfigureReturn(ConfigureReturn value) {
        return new JAXBElement<ConfigureReturn>(_ConfigureReturn_QNAME, ConfigureReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ResetConfigurationArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/configurable", name = "resetConfigurationArgs")
    public JAXBElement<ResetConfigurationArgs> createResetConfigurationArgs(ResetConfigurationArgs value) {
        return new JAXBElement<ResetConfigurationArgs>(_ResetConfigurationArgs_QNAME, ResetConfigurationArgs.class, null, value);
    }

}
