
package org.ow2.weblab.core.services.resourcecontainer;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ow2.weblab.core.services.resourcecontainer package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SaveResourceArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/resourcecontainer", "saveResourceArgs");
    private final static QName _SaveResourceReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/resourcecontainer", "saveResourceReturn");
    private final static QName _LoadResourceArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/resourcecontainer", "loadResourceArgs");
    private final static QName _LoadResourceReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/resourcecontainer", "loadResourceReturn");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ow2.weblab.core.services.resourcecontainer
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SaveResourceReturn }
     * 
     */
    public SaveResourceReturn createSaveResourceReturn() {
        return new SaveResourceReturn();
    }

    /**
     * Create an instance of {@link LoadResourceReturn }
     * 
     */
    public LoadResourceReturn createLoadResourceReturn() {
        return new LoadResourceReturn();
    }

    /**
     * Create an instance of {@link SaveResourceArgs }
     * 
     */
    public SaveResourceArgs createSaveResourceArgs() {
        return new SaveResourceArgs();
    }

    /**
     * Create an instance of {@link LoadResourceArgs }
     * 
     */
    public LoadResourceArgs createLoadResourceArgs() {
        return new LoadResourceArgs();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveResourceArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/resourcecontainer", name = "saveResourceArgs")
    public JAXBElement<SaveResourceArgs> createSaveResourceArgs(SaveResourceArgs value) {
        return new JAXBElement<SaveResourceArgs>(_SaveResourceArgs_QNAME, SaveResourceArgs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveResourceReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/resourcecontainer", name = "saveResourceReturn")
    public JAXBElement<SaveResourceReturn> createSaveResourceReturn(SaveResourceReturn value) {
        return new JAXBElement<SaveResourceReturn>(_SaveResourceReturn_QNAME, SaveResourceReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoadResourceArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/resourcecontainer", name = "loadResourceArgs")
    public JAXBElement<LoadResourceArgs> createLoadResourceArgs(LoadResourceArgs value) {
        return new JAXBElement<LoadResourceArgs>(_LoadResourceArgs_QNAME, LoadResourceArgs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link LoadResourceReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/resourcecontainer", name = "loadResourceReturn")
    public JAXBElement<LoadResourceReturn> createLoadResourceReturn(LoadResourceReturn value) {
        return new JAXBElement<LoadResourceReturn>(_LoadResourceReturn_QNAME, LoadResourceReturn.class, null, value);
    }

}
